Bug 607324 - [abrt] crash in telepathy-butterfly-0.5.11-1.fc13: HTTP.py:105:parse:ValueError: need more than 1 value to unpack
Summary: [abrt] crash in telepathy-butterfly-0.5.11-1.fc13: HTTP.py:105:parse:ValueErr...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
(Show other bugs)
Version: 13
Hardware: i686 Linux
low
medium
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ab4b50b6
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-23 19:47 UTC by Lari Tanase
Modified: 2011-06-27 18:49 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 18:49:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.70 KB, text/plain)
2010-06-23 19:47 UTC, Lari Tanase
no flags Details

Description Lari Tanase 2010-06-23 19:47:12 UTC
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/libexec/telepathy-butterfly
component: telepathy-butterfly
executable: /usr/libexec/telepathy-butterfly
kernel: 2.6.33.5-124.fc13.i686
package: telepathy-butterfly-0.5.11-1.fc13
reason: HTTP.py:105:parse:ValueError: need more than 1 value to unpack
release: Fedora release 13 (Goddard)

backtrace
-----
HTTP.py:105:parse:ValueError: need more than 1 value to unpack

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/papyon/gnet/parser.py", line 155, in _on_status_change
    self.__emit_result()
  File "/usr/lib/python2.6/site-packages/papyon/gnet/parser.py", line 187, in __emit_result
    response.parse(self._receive_buffer)
  File "/usr/lib/python2.6/site-packages/papyon/gnet/message/HTTP.py", line 105, in parse
    start_line, message = chunk.split("\r\n", 1)
ValueError: need more than 1 value to unpack

Local variables in innermost frame:
chunk: 'HTTP/1.1 200 OK\nServer: ZyWALL Content Filter\nDate: Thu, 17 Feb 2000 12:46:46 GMT\nContent-Type: text/html\nCache-control: no-cache\nPragma: no-cache\nExpires: 0\nConnection: close\nContent-Length: 828\n\n<html>\t<head>\t\t<title>Access Denied</title>\t\t<SCRIPT language="JavaScript">\t\t\t<!-- if(top.location != self.location) top.location.href = self.location.href; -->\t\t </SCRIPT>\t</head>\t<body bgcolor="#FFFFFF">\t\t<p align="center">\t\t<font color="#FF0000" size="4" face="Times New Roman">\t\t\tThe web access is restricted. Please contact with administrator.<br><br>\t\t</font>\t\t\t<center>\t\t\t</font><font color="black" size="4" face="Times New Roman">\t\t\t<table width="60%">\t\t\t<td></td>\t\t\t</table>\t\t\t</center>\t\t\t<br><br>\t\t</p>\t\t<p align="center">\t\t<iframe height="70%" width="90%" frameborder=1 src="http://mail.autototal.ro/wiki/Restrictie_internet">\t\t\tPlease link to <a href="http://mail.autototal.ro/wiki/Restrictie_internet">http://mail.autototal.ro/wiki/Restrictie_internet</a> for web access policy.\t\t</iframe>\t\t</p>\t</body></html>'
self: <papyon.gnet.message.HTTP.HTTPResponse object at 0x8eafa2c>

Comment 1 Lari Tanase 2010-06-23 19:47:14 UTC
Created attachment 426375 [details]
File: backtrace

Comment 2 Abhishek Singh 2010-08-13 04:44:40 UTC
Package: telepathy-butterfly-0.5.12-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Keep running empathy

Comment
-----
I use Dansguardian content filter along with squid. But only traffic of port 80 is traversed through Dansguardian. I'm not sure of why this happened. Even though ABRT reported a crash, Empathy seemed to be working well without any problem.

Comment 3 Bob 2010-11-24 21:48:22 UTC
Package: telepathy-butterfly-0.5.14-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Hughesnet returned an error message:  TCP Acceleration Error (800.3) - Acceleration Backbones In SYN_SENT State. The HUGHES terminal is experiencing a problem with it's TCP acceleration infrastructure. Retrying the web page may correct the problem.
2.
3.

Comment 4 Israel Carmona 2010-12-01 00:29:40 UTC
Package: telepathy-butterfly-0.5.14-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. loading empathy
2.
3.

Comment 5 zchen22 2010-12-01 02:04:04 UTC
Package: telepathy-butterfly-0.5.14-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. start empathy
2.
3.

Comment 6 Andrew W 2010-12-01 02:17:07 UTC
Package: telepathy-butterfly-0.5.14-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Started Empathy
2.
3.

Comment 7 Kurt Årdal 2010-12-01 08:41:48 UTC
Package: telepathy-butterfly-0.5.14-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Just using computer
2.
3.

Comment 8 Claudiomar Rodrigues 2010-12-05 17:35:30 UTC
Package: telepathy-butterfly-0.5.14-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. No know
2.
3.

Comment 9 Sridhar Kris 2010-12-09 17:25:23 UTC
Package: telepathy-butterfly-0.5.14-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.not sure
2.not sure
3.not sure

Comment 10 Roberto Murilo 2010-12-10 15:49:45 UTC
Package: telepathy-butterfly-0.5.14-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. It Telepathy just crashed.
2. I don't really remember what just happened.
3.

Comment 11 Yassine ABID 2010-12-23 22:21:34 UTC
Package: telepathy-butterfly-0.5.14-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
when I lose Wifi connection

Comment 12 Dario Castellarin 2010-12-30 21:39:38 UTC
Package: telepathy-butterfly-0.5.14-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Delete some contacts from the MSN account
2. Crash
3.


Comment
-----
I was just deleting some contacts from my msn account

Comment 13 Ken B. 2011-01-02 01:50:07 UTC
Package: telepathy-butterfly-0.5.14-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Log into Empathy with a MSN/Hotmail chat account
2. Closed laptop lid causing power hibernation 
3. Open laptop lid and Empathy tries to reconnect MSN account

Comment 14 Jan Vlug 2011-01-02 14:51:06 UTC
Package: telepathy-butterfly-0.5.14-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I do not know what happened.

Comment 15 Jan Vlug 2011-01-23 19:57:45 UTC
Package: telepathy-butterfly-0.5.14-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. I don't know how this happened.
2.
3.

Comment 16 Maurice James 2011-01-27 21:45:15 UTC
Package: telepathy-butterfly-0.5.14-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Normal usage. The application carshed without any user interaction
2.
3.

Comment 17 Danny George 2011-02-24 03:33:49 UTC
Package: telepathy-butterfly-0.5.14-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.This happened in the background, I wasn't do anything related at the time.
2.
3.


Comment
-----
This crashed in the background.  My internet connection may have been going in and out, and I was connecting through a university's proxy.

Comment 18 Bob 2011-05-01 09:25:15 UTC
Package: telepathy-butterfly-0.5.14-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Internet connection was slow and intermittent.
2.
3.

Comment 19 Bob 2011-05-26 07:38:28 UTC
Package: telepathy-butterfly-0.5.14-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Network was overloaded, bittorrent running.
2.Received TCP Acceleration Error message from Hughesnet
3.

Comment 20 Bug Zapper 2011-06-01 15:46:10 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 21 Bug Zapper 2011-06-27 18:49:43 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.